using System.Collections.Generic;
using System.Threading.Tasks;
using Datory;
using GxPress.Common.Page;
using GxPress.Request.Attach;

namespace GxPress.Repository.Interface.Attach
{
    public interface IAttachRepository : IRepository
    {
        Task<bool> DeleteAsync(int id);

        Task<PagedList<Entity.tede2.Attach.Attach>> GetAllAsync(AttachRequest request);
        Task<IEnumerable<Entity.tede2.Attach.Attach>> GetSearchAllAsync(AttachRequest request);
        Task<Entity.tede2.Attach.Attach> GetAsync(int id);

        Task<int> InsertAsync(Entity.tede2.Attach.Attach note);

        Task<bool> UpdateAsync(Entity.tede2.Attach.Attach note);
    }
}